CT_AddMovable("CT_TargetFrame_Drag", "TOPLEFT", "TOPLEFT", "UIParent", 278, -25, function(status)
	if ( status ) then
		CT_TargetFrame_Drag:Show();
	else
		CT_TargetFrame_Drag:Hide();
	end
end);

CT_TargetFrame_ShowHealth = 0;
CT_TargetFrame_ShowMana = 0;

function CT_TargetFrame_UpdateNow()
	if ( CT_TargetFrame_ShowHealth == 0 ) then
		CT_TargetHealthText:Hide();
	else
		CT_TargetHealthText:Show();
	end

	if ( CT_PlayerFrame_ShowMana == 0 ) then
		CT_TargetManaText:Hide();
	else
		CT_TargetManaText:Show();
	end
end

function CT_TargetFrame_Update(modid)
	local stat = CT_Mods[modid]["modValue"];
	if ( stat == "1" ) then
		CT_TargetFrame_ShowHealth = 0;
		CT_TargetFrame_ShowMana = 0;
	elseif ( stat == "2" ) then
		CT_TargetFrame_ShowHealth = 1;
		CT_TargetFrame_ShowMana = 1;
	elseif ( stat == "3" ) then
		CT_TargetFrame_ShowHealth = 1;
		CT_TargetFrame_ShowMana = 0;
	elseif ( stat == "4" ) then
		CT_TargetFrame_ShowHealth = 0;
		CT_TargetFrame_ShowMana = 1;
	end
	CT_TargetFrame_UpdateNow();
end

function CT_TargetFrameOnLoad ()

	CT_TargetHealthText:SetTextColor(1, 1, 1);
	CT_TargetManaText:SetTextColor(1, 1, 1);
	
end


function CT_TargetFrame_OnUpdate()
	if ( CT_TargetFrame_ShowHealth == 0 ) then
		CT_TargetHealthText:Hide();
	else
		CT_TargetHealthText:Show();
	end
	if ( CT_TargetFrame_ShowMana == 0 or UnitPowerType("target") > 0 ) then
		CT_TargetManaText:Hide();
	else
		CT_TargetManaText:Show();
	end

	if ( TargetFrame:IsVisible() ) then
		local min, max = TargetFrameHealthBar:GetMinMaxValues();
		local curr = TargetFrameHealthBar:GetValue();

		local hp = curr / max;
		local r, g;
		if ( hp > 0 ) then
			if ( hp > 0.5 ) then
				r = (1.0 - hp) * 2;
				g = 1.0;
			else
				r = 1.0;
				g = hp * 2;
			end
		else
			r = 0; g = 1;
		end
		if ( r < 0 ) then r = 0; elseif ( r > 1 ) then r = 1; end
		if ( g < 0 ) then g = 0; elseif ( g > 1 ) then g = 1; end
		TargetFrameHealthBar:SetStatusBarColor(r, g, 0);

		local hptext = ceil(curr / max * 100);

		if (max > 100) then 
			CT_TargetHealthText:SetText( curr .. "/" .. max );
		else 
			CT_TargetHealthText:SetText( hptext .. "%" ); 
		end
		
		if ( UnitPowerType("target") == 0 ) then
			min, max = TargetFrameManaBar:GetMinMaxValues();
			curr = TargetFrameManaBar:GetValue();
			CT_TargetManaText:SetText( curr .. "/" .. max );
		end
		TargetDeadText:Hide();
	end
end

TargetFrameModeFunction = function (modID, text)
	local val = CT_Mods[modID]["modValue"];
	if (val == "4" ) then
		val = "1";
		CT_TargetFrame_ShowHealth = 0;
		CT_TargetFrame_ShowMana = 0;
	elseif ( val == "1" ) then
		val = "2";
		CT_TargetFrame_ShowHealth = 1;
		CT_TargetFrame_ShowMana = 1;
	elseif ( val == "2" ) then
		val = "3";
		CT_TargetFrame_ShowHealth = 1;
		CT_TargetFrame_ShowMana = 0;
	elseif ( val == "3" ) then
		val = "4";
		CT_TargetFrame_ShowHealth = 0;
		CT_TargetFrame_ShowMana = 1;
	end

	CT_Print("<CTMod> " .. CT_TARGETSTATS_MODNAME .. " - " .. CT_TARGETSTATS_VAL[tonumber(val)], 1.0, 1.0, 0.0);
	if ( text ) then text:SetText(val); end
	CT_Mods[modID]["modValue"] = val;
end

CT_RegisterMod(CT_TARGETSTATS_MODNAME, CT_STATS_SUBNAME, 4, "Interface\\Icons\\INV_Scroll_01", CT_TARGETSTATS_TOOLTIP, "switch", "1", TargetFrameModeFunction, CT_TargetFrame_Update);